%define ver_major 1.0
# Use GStreamer instead of xine for the backend
%def_enable gstreamer
%def_enable nautilus
%def_disable mozilla
%def_disable vanity

Name: totem
Version: %ver_major.4
Release: alt1.1

%if_enabled gstreamer
Summary: Movie player for GNOME 2 based on the GStreamer
Summary(ru_RU.KOI8-R):   GNOME 2   GStreamer
%else
Summary: Movie player for GNOME 2 based on the Xine library
Summary(ru_RU.KOI8-R):   GNOME 2   Xine
%endif

License: GPL
Group: Video
Url: http://www.hadess.net/%name.php3

Source: http://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.10.0
%define xine_ver 1.0.0-alt1.rc3c
%define desktop_file_utils_ver 0.8
%define gstreamer_plugins_ver 0.8.9
%define nautilus_cd_burner_ver 2.10.2
%define glib_ver 2.6.5

PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper >= %scrollkeeper_ver
PreReq: glib2 >= %glib_ver
%if_enabled nautilus
PreReq: libnautilus2-cd-burner >= %nautilus_cd_burner_ver
%endif

%if_enabled gstreamer
Requires(post,postun): desktop-file-utils >= %desktop_file_utils_ver
# GStreamer plugins
Requires: gstreamer-colorspace >= %gstreamer_plugins_ver
Requires: gstreamer-avi >= %gstreamer_plugins_ver
Requires: gstreamer-ffmpeg >= 0.8.2
Requires: gstreamer-ffmpegcolorspace >= %gstreamer_plugins_ver
Requires: gstreamer-mpeg >= %gstreamer_plugins_ver
Requires: gstreamer-mad >= %gstreamer_plugins_ver
Requires: gstreamer-vorbis >= %gstreamer_plugins_ver
Requires: gstreamer-oss >= %gstreamer_plugins_ver
Requires: gstreamer-alsa >= %gstreamer_plugins_ver
Requires: gstreamer-xvideosink >= %gstreamer_plugins_ver
Requires: gstreamer-gnomevfs >= %gstreamer_plugins_ver
Requires: gstreamer-audio-effects >= %gstreamer_plugins_ver
Requires: gstreamer-video-effects >= %gstreamer_plugins_ver
Requires: gstreamer-dv >= %gstreamer_plugins_ver
Requires: gstreamer-mikmod >= %gstreamer_plugins_ver
Requires: gstreamer-swfdec >= %gstreamer_plugins_ver
%endif

BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: desktop-file-utils >= %desktop_file_utils_ver
BuildPreReq: menu-devel
BuildPreReq: gnome-common >= 2.8.0
%if_enabled nautilus
BuildPreReq: libnautilus2-cd-burner-devel >= %nautilus_cd_burner_ver
%endif

%if_enabled gstreamer
BuildPreReq: gstreamer-devel gstreamer-plugins-devel
%else
BuildPreReq: libxine-devel >= %xine_ver
%endif

# Automatically added by buildreq on Sat Jul 24 2004
# BuildRequires: GConf2 ORBit2-devel XFree86-devel-static XFree86-libs esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-desktop-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel liblirc-devel libnautilus2-cd-burner-devel libpango-devel libpopt-devel libstartup-notification-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper zlib-devel
%if_enabled nautilus
BuildRequires: libnautilus-devel libnautilus2-cd-burner-devel 
%endif

BuildRequires: GConf2 ORBit2-devel XFree86-devel-static XFree86-libs esound
BuildRequires: fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel
BuildRequires: libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel
BuildRequires: libbonoboui-devel libglade2-devel libgnome-desktop-devel
BuildRequires: libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel
BuildRequires: libgtk+2-devel liblirc-devel libpango-devel
BuildRequires: libpopt-devel libstartup-notification-devel libstdc++-devel libxml2-devel
BuildRequires: perl-XML-Parser pkgconfig scrollkeeper zlib-devel

%description
%if_enabled gstreamer
Totem is simple movie player for the Gnome desktop based on GStreamer.
%else
Totem is simple movie player for the Gnome desktop based on Xine.
%endif
It features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

It also includes a thumbnailer for your movie files.

%description -l ru_RU.KOI8-R
%if_enabled gstreamer
Totem --  ݣ     GNOME   GStreamer,
%else
Totem --  ݣ     GNOME   Xine,
%endif
   ,  ,
      ,   
  .

%package -n vanity
Summary: Vanity is a webcam utility
Group: Video
#Requires: %name = %version-%release

%description -n vanity
Vanity is an utility to view live webcam and upload pictures.
Vanity is a part of Totem (movie player) project.

%package devel
Summary: Development files for Totem movie player
Group: Development/C
Requires: %name = %version-%release

%description devel
%if_enabled gstreamer
Totem is simple movie player for the Gnome desktop based on GStreamer.
%else
Totem is simple movie player for the Gnome desktop based on Xine.
%endif

This package provides files needed to build Totem plugins.

%define _libexecdir %_libdir/%name

%prep
%setup -q
%__rm -f src/*-marshal.{c,h}

%build
export LDFLAGS=-export-dynamic
%configure \
	--disable-static \
	--disable-schemas-install \
	--enable-lirc \
	%{subst_enable vanity} \
	%{subst_enable gstreamer} \
	%{subst_enable mozilla} \
	%{subst_enable nautilus} 

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# menus
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Multimedia/Video" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

%if_enabled vanity
freedesktop2menu.pl %name "Multimedia/Video" \
    %buildroot%_datadir/applications/vanity.desktop \
    %buildroot%_menudir/vanity
%endif

# remove none-packaged files
%__rm -f %buildroot%_libdir/nautilus/extensions-1.0/*.la

%find_lang --with-gnome %name

%define schemas %name %name-video-thumbnail %name-handlers

%post
%post_ldconfig
%gconf2_install %schemas
%update_menus
%update_desktopdb

%postun
%postun_ldconfig
%clean_menus
%clean_desktopdb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %schemas
fi

%post -n vanity
%update_menus

%postun -n vanity
%clean_menus

%files -f %name.lang
%_bindir/*
%_libdir/*.so.*
%_libdir/nautilus/extensions-1.0/*.so
%_datadir/applications/%name.desktop
%_datadir/pixmaps/*
%_datadir/%name

%if_enabled vanity
%exclude %_bindir/vanity
%exclude %_datadir/%name/vanity.*
%endif

%_menudir/%name
%_man1dir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS README TODO

%if_enabled vanity
%files -n vanity
%_bindir/vanity
%_datadir/applications/vanity.desktop
%_datadir/%name/vanity.*
%_menudir/vanity
%endif

%if 0
%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%endif

%changelog
* Sat Jul 16 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.4-alt1.1
- rebuild with new libnautilus-burn.so.1 .

* Sat Jul 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.4-alt1
- 1.0.4

* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Sat Apr 30 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Tue Mar 22 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- 1.0.1
- move vanity to separate subpackage (close #6269) and do not build it by default.

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt1
- 1.0

* Thu Jan 27 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.101-alt0.6
- 0.101.

* Tue Jan 04 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.100-alt0.5
- 0.100.

* Sat Nov 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.99.22-alt0.5
- 0.99.22

* Fri Oct 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.99.20-alt0.5
- 0.99.20

* Mon Jun 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99.1-alt0.5
- 0.99.1
- summary, description by avp.

* Wed May 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99.0-alt0.5
- First build for Sisyphus.


